
# SUN console in text mode; very slow!
# 

#####################################################################
#                                                                   #
#       >>>>>   Terminal description file for Allegro.   <<<<<      #
#                                                                   #
#####################################################################


#-------------------------------------------------------------------
# Terminal characteristics variables part.                          
#-------------------------------------------------------------------
#                                                                   
# Variable name          Variable value                             
#                                                                   

  init                 = "\E[?7l\E="
  end                  = "\E[?7h\E>"
  lines                = 25
  fast_term            = n
  color                = n
  term_name            = "SUN console text mode"
  wrap                 = 1
  ifile                = ""
  iprog                = ""

  gotoxy               = "\E[%i%p1%d;%p2%dH"
  clrscr               = "\E[H\E[J"
  clrtoeol             = "\E[K"
  beep                 = "^G"

  rectangle_start      = ""
  rectangle_end        = ""
  rectangle_filter     = "\d185+\d186|\d187+\d188+\d200+\d201+\d202+\d203+\
                          \d204+\d205-\d206+"
  special_start        = ""
  special_end          = ""
  special_filter       = "\d176#\d175>"

  national_start       = ""
  national_end         = ""
  national_filter      = "\d134a\d141c\d145e\d146l\d164n\d162o\d158s\d166z\
                          \d167z\d143A\d149C\d144E\d156L\d165N\d163O\d152S\
                          \d160Z\d161Z"
  national_init        = ""
  national_freq        = 0
  national_bold        = 4
  compose_filter       = "a\d134c\d141e\d145l\d146n\d164o\d162s\d158x\d166z\
                          \d167A\d143C\d149E\d144L\d156N\d165O\d163S\d152X\
                          \d160Z\d161"
  input_filter         = ""

  att_normal           = "\E[m"
  att_high             = ""
  att_high_under       = ""
  att_high_inverse     = ""
  att_under            = ""
  att_blink            = ""
  att_inverse          = "\E[7m"
  att_high_blink       = ""
  att_blink_inverse    = ""

  strange_inverse_lt   = ">"
  strange_inverse_rg   = "<"

  insert_line          = "\E[L\E[26;1H\E[J"
  delete_line          = "\E[M"




#-------------------------------------------------------------------
# Keyboard definition part.                                         
#-------------------------------------------------------------------
#                                                                   
# key  =  keystroke         basic     on main   in view   key       
#         sequence          meaning   screen    & edit    name      
#                                                                   

  key  =  "^A"                         1062/1    1078/2    /[Ctrl-A]
  key  =  "^B"                                   1070/2    /[Ctrl-B]
  key  =  "^C"               1008/0                        /[Ctrl-C]
  key  =  "^E"               1031/0    1065/1    1071/2    /[Ctrl-E]
  key  =  "^F"                         1060/1    1079/2    /[Ctrl-F]
  key  =  "^G"                         1061/1              /[Ctrl-G]
  key  =  "^H"               8/0                           /[Backspace]
  key  =  "\t"               9/0                           /[Tab]
  key  =  "\n"                         1066/1              /[Ctrl-J]
  key  =  "^K"                         1053/1    1082/2    /[Ctrl-K]
  key  =  "^L"                         1054/1    1084/2    /[Ctrl-L]
  key  =  "^P"                         1056/1    1080/2    /[Ctrl-P]
  key  =  "^R"                         1050/1              /[Ctrl-R]
  key  =  "^T"               1005/0              1076/2    /[Ctrl-T]
  key  =  "^U"                         1051/1              /[Ctrl-U]
  key  =  "^V"                         1052/1    1081/2    /[Ctrl-V]
  key  =  "^W"                         1055/1    1083/2    /[Ctrl-W]
  key  =  "^X"                         1064/1    1085/2    /[Ctrl-X]
  key  =  "^Y"               1006/0              1077/2    /[Ctrl-Y]
  key  =  "^Z"                         1063/1    1086/2    /[Ctrl-Z]
  key  =  "\E\E"             1000/0                        /[Esc][Esc]
  key  =  "\E0"              1020/0                        /[Shift-F10]
  key  =  "\E1"              1021/0                        /[Shift-F1]
  key  =  "\E2"              1022/0                        /[Shift-F2]
  key  =  "\E3"              1023/0                        /[Shift-F3]
  key  =  "\E4"              1024/0                        /[Shift-F4]
  key  =  "\E5"              1025/0                        /[Shift-F5]
  key  =  "\E6"              1026/0    1041/1              /[Shift-F6]
  key  =  "\E7"              1027/0    1042/1              /[Shift-F7]
  key  =  "\E8"              1028/0                        /[Shift-F8]
  key  =  "\E9"              1029/0                        /[Shift-F9]
  key  =  "\E[207z"          1007/0                        /[compose]
  key  =  "\E[216z"          1032/0              1072/2    /[PgUp]
  key  =  "\E[222z"          1033/0              1073/2    /[PgDn]
  key  =  "\E[224z"          1011/0                        /[F1]
  key  =  "\E[225z"          1012/0                        /[F2]
  key  =  "\E[226z"          1013/0                        /[F3]
  key  =  "\E[227z"          1014/0                        /[F4]
  key  =  "\E[228z"          1015/0                        /[F5]
  key  =  "\E[229z"          1016/0                        /[F6]
  key  =  "\E[230z"          1017/0                        /[F7]
  key  =  "\E[231z"          1018/0                        /[F8]
  key  =  "\E[232z"          1019/0                        /[F9]
  key  =  "\E[233z"          1010/0                        /[F10]
  key  =  "\E[247z"          1034/0                        /[Insert]
  key  =  "\E[249z"                    1042/1              /[Grey .]
  key  =  "\E[253z"                    1040/1    1073/2    /[Grey +]
  key  =  "\E[254z"                    1041/1    1072/2    /[Grey -]
  key  =  "\E[A"             1001/0                        /[Up]
  key  =  "\E[B"             1002/0                        /[Down]
  key  =  "\E[C"             1003/0                        /[Right]
  key  =  "\E[D"             1004/0                        /[Left]
  key  =  "\d028"                      1067/1              /[Ctrl-\]
  key  =  "\d029"                      1057/1              /[Ctrl-]]
  key  =  "\d127"            127/0                         /[Delete]


