
# WYSE 60
# 
# 

#####################################################################
#                                                                   #
#       >>>>>   Terminal description file for Allegro.   <<<<<      #
#                                                                   #
#####################################################################


#-------------------------------------------------------------------
# Terminal characteristics variables part.                          
#-------------------------------------------------------------------
#                                                                   
# Variable name          Variable value                             
#                                                                   

  init                 = "\Ed.\EGP"
  end                  = "\Ed/"
  lines                = 24
  fast_term            = n
  color                = n
  term_name            = "wyse60"
  wrap                 = 0
  ifile                = ""
  iprog                = ""

  gotoxy               = "\E=%p1%{32}%+%c%p2%{32}%+%c"
  clrscr               = "^Z"
  clrtoeol             = "\Et"
  beep                 = "^G"

  rectangle_start      = ""
  rectangle_end        = ""
  rectangle_filter     = "\d201\d201\d203\d203\d187\d187\d204\d204\d206\d206\
                          \d185\d185\d200\d200\d202\d202\d188\d188\d186\d186\
                          \d205\d205"
  special_start        = ""
  special_end          = ""
  special_filter       = "\d175\d175\d176\d176\d218\d218\d194\d194\d191\d191\
                          \d195\d195\d197\d197\d180\d180\d192\d192\d193\d193\
                          \d217\d217\d214\d214\d210\d210\d183\d183\d199\d199\
                          \d215\d215\d182\d182\d211\d211\d208\d208\d189\d189\
                          \d213\d213\d209\d209\d184\d184\d198\d198\d216\d216\
                          \d181\d181\d212\d212\d207\d207\d190\d190\d177\d177\
                          \d178\d178\d219\d219\d220\d220\d221\d221\d222\d222\
                          \d223\d223\d196\d196\d179\d179"

  national_start       = ""
  national_end         = ""
  national_filter      = "\d134a\d141c\d145e\d146l\d164n\d162\d162\d158s\d166z\
                          \d167z\d143A\d149C\d144E\d156L\d165N\d163O\d152S\
                          \d160Z\d161Z"
  national_init        = ""
  national_freq        = 0
  national_bold        = 0
  compose_filter       = "a\d134c\d141e\d145l\d146n\d164o\d162s\d158x\d166z\
                          \d167A\d143C\d149E\d144L\d156N\d165O\d163S\d152X\
                          \d160Z\d161"
  input_filter         = ""

  att_normal           = "\EG0"
  att_high             = "\EGt"
  att_high_under       = ""
  att_high_inverse     = ""
  att_under            = "\EG8"
  att_blink            = "\EG2"
  att_inverse          = "\EG4"
  att_high_blink       = ""
  att_blink_inverse    = ""

  strange_inverse_lt   = "L"
  strange_inverse_rg   = "R"

  insert_line          = "\EE"
  delete_line          = "\ER"




#-------------------------------------------------------------------
# Keyboard definition part.                                         
#-------------------------------------------------------------------
#                                                                   
# key  =  keystroke         basic     on main   in view   key       
#         sequence          meaning   screen    & edit    name      
#                                                                   

  key  =  "\d128"            1021/0                        /[\d128]
  key  =  "\d129"            1022/0                        /[\d129]
  key  =  "\d130"            1023/0                        /[\d130]
  key  =  "\d131"            1024/0                        /[\d131]
  key  =  "^A@\r"            1011/0                        /[F1]
  key  =  "^AA\r"            1012/0                        /[F2]
  key  =  "^AB\r"            1013/0                        /[F3]
  key  =  "^AC\r"            1014/0                        /[F4]
  key  =  "^AD\r"            1015/0                        /[F5]
  key  =  "^AE\r"            1016/0                        /[F6]
  key  =  "^AF\r"            1017/0                        /[F7]
  key  =  "^AG\r"            1018/0                        /[F8]
  key  =  "^AH\r"            1019/0                        /[F9]
  key  =  "^AI\r"            1010/0                        /[F10]
  key  =  "^AK\r"            1007/0                        /[Compose]
  key  =  "^Ad\r"                      1040/1              /[Ctrl-A][d][Enter]
  key  =  "^Ae\r"                      1041/1              /[Ctrl-A][e][Enter]
  key  =  "^Af\r"                      1042/1              /[Ctrl-A][f][Enter]
  key  =  "^B"                         1066/1    1070/2    /[Ctrl-B]
  key  =  "^C"               1008/0                        /[Ctrl-C]
  key  =  "^E"                         1065/1    1071/2    /[Ctrl-E]
  key  =  "^F"                         1060/1    1078/2    /[Ctrl-F]
  key  =  "^G"                         1061/1    1079/2    /[Ctrl-G]
  key  =  "^H"               1004/0                        /[Ctrl-H]
  key  =  "\t"               9/0                           /[Tab]
  key  =  "\n"               1002/0                        /[Ctrl-J]
  key  =  "^K"               1001/0                        /[Ctrl-K]
  key  =  "^L"               1003/0              1084/2    /[Ctrl-L]
  key  =  "^N"                         1058/1    1082/2    /[Ctrl-N]
  key  =  "^P"                                   1080/2    /[Ctrl-P]
  key  =  "^R"                         1050/1              /[Ctrl-R]
  key  =  "^T"               1005/0              1076/2    /[Ctrl-T]
  key  =  "^U"                         1051/1              /[Ctrl-U]
  key  =  "^V"                         1052/1    1081/2    /[Ctrl-V]
  key  =  "^W"                         1062/1    1083/2    /[Ctrl-W]
  key  =  "^X"                         1064/1    1085/2    /[Ctrl-X]
  key  =  "^Y"               1006/0              1077/2    /[Ctrl-Y]
  key  =  "^Z"                         1063/1    1086/2    /[Ctrl-Z]
  key  =  "\E\E"             1000/0                        /[Esc][Esc]
  key  =  "\EJ"              1032/0                        /[PgUp]
  key  =  "\EK"              1033/0                        /[PgDn]
  key  =  "\ET"              1031/0                        /[End]
  key  =  "\EW"              127/0                         /[Esc][W]
  key  =  "\Eq"              1034/0                        /[Insert]
  key  =  "\d028"                      1067/1              /[Ctrl-\]
  key  =  "\d029"                      1057/1              /[Ctrl-]]
  key  =  "\d030"            1030/0                        /[Ctrl-^]
  key  =  "\d127"            8/0                           /[Backspace]


