
# terminal IBM, models: IBM3101-1X, IBM3101-2X, IBM3161V
# 

#####################################################################
#                                                                   #
#       >>>>>   Terminal description file for Allegro.   <<<<<      #
#                                                                   #
#####################################################################


#-------------------------------------------------------------------
# Terminal characteristics variables part.                          
#-------------------------------------------------------------------
#                                                                   
# Variable name          Variable value                             
#                                                                   

  init                 = ""
  end                  = ""
  lines                = 24
  fast_term            = n
  color                = n
  term_name            = "ibm"
  wrap                 = 0
  ifile                = ""
  iprog                = ""

  gotoxy               = "\EY%p1%{32}%+%c%p2%{32}%+%c"
  clrscr               = "\EL"
  clrtoeol             = "\EI"
  beep                 = "^G"

  rectangle_start      = ""
  rectangle_end        = ""
  rectangle_filter     = "\d201\d130\d203\d142\d187\d131\d204\d141\d206\d137\
                          \d185\d140\d200\d129\d202\d143\d188\d132\d186\d138\
                          \d205\d139"
  special_start        = ""
  special_end          = ""
  special_filter       = "\d175\d146\d176#\d218\d134\d194\d142\d191\d135\d195\
                          \d141\d197\d137\d180\d140\d192\d133\d193\d143\d217\
                          \d136\d214\d134\d210\d142\d183\d135\d199\d141\d215\
                          \d137\d182\d140\d211\d133\d208\d143\d189\d136\d213\
                          \d134\d209\d142\d184\d135\d198\d141\d216\d137\d181\
                          \d140\d212\d133\d207\d143\d190\d136\d196\d139\d179\
                          \d138\d177#\d178#\d219\d159\d220\d152\d221\d153\d222\
                          \d151\d223\d154"

  national_start       = ""
  national_end         = ""
  national_filter      = "\d134a\d141c\d145e\d146l\d164n\d162o\d158s\d166z\
                          \d167z\d143A\d149C\d144E\d156L\d165N\d163O\d152S\
                          \d160Z\d161Z"
  national_init        = ""
  national_freq        = 0
  national_bold        = 0
  compose_filter       = "a\d134c\d141e\d145l\d146n\d164o\d162s\d158x\d166z\
                          \d167A\d143C\d149E\d144L\d156N\d165O\d163S\d152X\
                          \d160Z\d161"
  input_filter         = ""

  att_normal           = ""
  att_high             = ""
  att_high_under       = ""
  att_high_inverse     = ""
  att_under            = ""
  att_blink            = ""
  att_inverse          = ""
  att_high_blink       = ""
  att_blink_inverse    = ""

  strange_inverse_lt   = ">"
  strange_inverse_rg   = "<"

  insert_line          = "\EN"
  delete_line          = "\EO"




#-------------------------------------------------------------------
# Keyboard definition part.                                         
#-------------------------------------------------------------------
#                                                                   
# key  =  keystroke         basic     on main   in view   key       
#         sequence          meaning   screen    & edit    name      
#                                                                   

  key  =  "^A@\r"            1011/0                        /[F1]
  key  =  "^AA\r"            1012/0                        /[F2]
  key  =  "^AB\r"            1013/0                        /[F3]
  key  =  "^AC\r"            1014/0                        /[F4]
  key  =  "^AD\r"            1015/0                        /[F5]
  key  =  "^AE\r"            1016/0                        /[F6]
  key  =  "^AF\r"            1017/0                        /[F7]
  key  =  "^AG\r"            1018/0                        /[F8]
  key  =  "^AH\r"            1019/0                        /[F9]
  key  =  "^AI\r"            1010/0                        /[F10]
  key  =  "^A`\r"            1021/0                        /[Shift-F1]
  key  =  "^Aa\r"            1022/0                        /[Shift-F2]
  key  =  "^Ab\r"            1023/0                        /[Shift-F3]
  key  =  "^Ac\r"            1024/0                        /[Shift-F4]
  key  =  "^Ad\r"                      1040/1              /[Ctrl-A][d][Enter]
  key  =  "^Ae\r"                      1041/1              /[Ctrl-A][e][Enter]
  key  =  "^Af\r"                      1042/1              /[Ctrl-A][f][Enter]
  key  =  "^B"                                   1070/2    /[Ctrl-B]
  key  =  "^C"               1008/0                        /[Ctrl-C]
  key  =  "^E"                         1065/1    1071/2    /[Ctrl-E]
  key  =  "^F"                         1060/1    1078/2    /[Ctrl-F]
  key  =  "^G"                         1061/1    1079/2    /[Ctrl-G]
  key  =  "^H"               8/0                           /[Backspace]
  key  =  "\t"               9/0                           /[Tab]
  key  =  "\n"                         1066/1              /[Ctrl-J]
  key  =  "^K"                         1053/1    1082/2    /[Ctrl-K]
  key  =  "^L"                         1054/1    1084/2    /[Ctrl-L]
  key  =  "^O"                         1055/1              /[Ctrl-O]
  key  =  "^P"                         1056/1    1080/2    /[Ctrl-P]
  key  =  "^R"                         1050/1              /[Ctrl-R]
  key  =  "^T"               1005/0              1076/2    /[Ctrl-T]
  key  =  "^U"                         1051/1              /[Ctrl-U]
  key  =  "^V"                         1052/1    1081/2    /[Ctrl-V]
  key  =  "^W"                                   1083/2    /[Ctrl-W]
  key  =  "^X"                         1064/1    1085/2    /[Ctrl-X]
  key  =  "^Y"               1006/0              1077/2    /[Ctrl-Y]
  key  =  "^Z"                                   1086/2    /[Ctrl-Z]
  key  =  "\E\E"             1000/0                        /[Esc][Esc]
  key  =  "\EA"              1001/0                        /[Up]
  key  =  "\EB"              1002/0                        /[Down]
  key  =  "\EC"              1003/0                        /[Right]
  key  =  "\ED"              1004/0                        /[Left]
  key  =  "\EN"              1032/0                        /[PgUp]
  key  =  "\EO"              1033/0                        /[PgDn]
  key  =  "\EQ"              1031/0                        /[End]
  key  =  "\EW"              1007/0                        /[Compose]
  key  =  "\Ep"              1030/0                        /[Home]
  key  =  "\d028"                      1067/1              /[Ctrl-\]
  key  =  "\d029"                      1057/1              /[Ctrl-]]
  key  =  "\d127"            127/0                         /[Delete]


