
# SCO console with color monitor
# 

#####################################################################
#                                                                   #
#       >>>>>   Terminal description file for Allegro.   <<<<<      #
#                                                                   #
#####################################################################


#-------------------------------------------------------------------
# Terminal characteristics variables part.                          
#-------------------------------------------------------------------
#                                                                   
# Variable name          Variable value                             
#                                                                   

  init                 = "\E[?7l"
  end                  = "\E[?7h\E>"
  lines                = 25
  fast_term            = y
  color                = y
  term_name            = "SCO Unix console"
  wrap                 = 0
  ifile                = ""
  iprog                = ""

  gotoxy               = "\E[%i%p1%d;%p2%dH"
  clrscr               = "\E[H\E[J"
  clrtoeol             = "\E[K"
  beep                 = "^G"

  rectangle_start      = ""
  rectangle_end        = ""
  rectangle_filter     = "\d201\d201\d203\d203\d187\d187\d204\d204\d206\d206\
                          \d185\d185\d200\d200\d202\d202\d188\d188\d186\d186\
                          \d205\d205"
  special_start        = ""
  special_end          = ""
  special_filter       = "\d175\d175\d176\d176\d218\d218\d194\d194\d191\d191\
                          \d195\d195\d197\d197\d180\d180\d192\d192\d193\d193\
                          \d217\d217\d214\d214\d210\d210\d183\d183\d199\d199\
                          \d215\d215\d182\d182\d211\d211\d208\d208\d189\d189\
                          \d213\d213\d209\d209\d184\d184\d198\d198\d216\d216\
                          \d181\d181\d212\d212\d207\d207\d190\d190\d177\d177\
                          \d178\d178\d219\d219\d220\d220\d221\d221\d222\d222\
                          \d223\d223\d196\d196\d179\d179"

  national_start       = ""
  national_end         = ""
  national_filter      = "\d134a\d141c\d145e\d146l\d164n\d162\d162\d158s\d166z\
                          \d167z\d143A\d149C\d144E\d156L\d165N\d163O\d152S\
                          \d160Z\d161Z"
  national_init        = ""
  national_freq        = 0
  national_bold        = 1
  compose_filter       = "a\d134c\d141e\d145l\d146n\d164o\d162s\d158x\d166z\
                          \d167A\d143C\d149E\d144L\d156N\d165O\d163S\d152X\
                          \d160Z\d161"
  input_filter         = ""

  att_normal           = "\E[m"
  att_high             = "\E[1m"
  att_high_under       = ""
  att_high_inverse     = ""
  att_under            = ""
  att_blink            = "\E[5m"
  att_inverse          = "\E[7m"
  att_high_blink       = "\E[1;5m"
  att_blink_inverse    = "\E[5;7m"

  strange_inverse_lt   = ">"
  strange_inverse_rg   = "<"

  insert_line          = "\E[L"
  delete_line          = "\E[M"




#-------------------------------------------------------------------
# Keyboard definition part.                                         
#-------------------------------------------------------------------
#                                                                   
# key  =  keystroke         basic     on main   in view   key       
#         sequence          meaning   screen    & edit    name      
#                                                                   

  key  =  "^A"                         1062/1    1078/2    /[Ctrl-A]
  key  =  "^B"                                   1070/2    /[Ctrl-B]
  key  =  "^C"               1008/0                        /[Ctrl-C]
  key  =  "^E"                         1065/1    1071/2    /[Ctrl-E]
  key  =  "^F"                         1060/1    1079/2    /[Ctrl-F]
  key  =  "^G"                         1061/1              /[Ctrl-G]
  key  =  "^H"               8/0                           /[Backspace]
  key  =  "\t"               9/0                           /[Tab]
  key  =  "\n"                         1066/1              /[Ctrl-J]
  key  =  "^K"                         1053/1    1082/2    /[Ctrl-K]
  key  =  "^L"                         1054/1    1084/2    /[Ctrl-L]
  key  =  "^N"                         1058/1    1075/2    /[Ctrl-N]
  key  =  "^O"                         1055/1              /[Ctrl-O]
  key  =  "^P"                         1056/1    1080/2    /[Ctrl-P]
  key  =  "^R"                         1050/1              /[Ctrl-R]
  key  =  "^T"               1005/0              1076/2    /[Ctrl-T]
  key  =  "^U"                         1051/1    1074/2    /[Ctrl-U]
  key  =  "^V"                         1052/1    1081/2    /[Ctrl-V]
  key  =  "^W"                                   1083/2    /[Ctrl-W]
  key  =  "^X"                         1064/1    1085/2    /[Ctrl-X]
  key  =  "^Y"               1006/0              1077/2    /[Ctrl-Y]
  key  =  "^Z"                         1063/1    1086/2    /[Ctrl-Z]
  key  =  "\E\E"             1000/0                        /[Esc][Esc]
  key  =  "\E[A"             1001/0                        /[Up]
  key  =  "\E[B"             1002/0                        /[Down]
  key  =  "\E[C"             1003/0                        /[Right]
  key  =  "\E[D"             1004/0                        /[Left]
  key  =  "\E[F"             1031/0                        /[End]
  key  =  "\E[G"             1033/0                        /[PgDn]
  key  =  "\E[H"             1030/0                        /[Home]
  key  =  "\E[I"             1032/0                        /[PgUp]
  key  =  "\E[L"             1034/0                        /[Insert]
  key  =  "\E[M"             1011/0                        /[F1]
  key  =  "\E[N"             1012/0                        /[F2]
  key  =  "\E[O"             1013/0                        /[F3]
  key  =  "\E[P"             1014/0                        /[F4]
  key  =  "\E[Q"             1015/0                        /[F5]
  key  =  "\E[R"             1016/0                        /[F6]
  key  =  "\E[S"             1017/0                        /[F7]
  key  =  "\E[T"             1018/0                        /[F8]
  key  =  "\E[U"             1019/0                        /[F9]
  key  =  "\E[V"             1010/0                        /[F10]
  key  =  "\E[X"             1007/0                        /[Compose]
  key  =  "\E[Y"             1021/0                        /[Shift-F1]
  key  =  "\E[Z"             1022/0                        /[Shift-F2]
  key  =  "\E[a"             1023/0                        /[Shift-F3]
  key  =  "\E[b"             1024/0                        /[Shift-F4]
  key  =  "\E[c"             1025/0    1040/1              /[Shift-F5]
  key  =  "\E[d"             1026/0    1041/1              /[Shift-F6]
  key  =  "\E[e"             1027/0    1042/1              /[Shift-F7]
  key  =  "\E[f"             1028/0                        /[Shift-F8]
  key  =  "\E[g"             1029/0                        /[Shift-F9]
  key  =  "\E[h"             1020/0                        /[Shift-F10]
  key  =  "\d028"                      1067/1              /[Ctrl-\]
  key  =  "\d029"                      1057/1              /[Ctrl-]]
  key  =  "\d127"            127/0                         /[Delete]


