
# vt102 emulated by telbin, special version with polich chars support
# 
# 
# 
# 
# 
# 

#####################################################################
#                                                                   #
#       >>>>>   Terminal description file for Allegro.   <<<<<      #
#                                                                   #
#####################################################################


#-------------------------------------------------------------------
# Terminal characteristics variables part.                          
#-------------------------------------------------------------------
#                                                                   
# Variable name          Variable value                             
#                                                                   

  init                 = "\E[?7l\E=^O\E(B\E)0"
  end                  = "\E[?7h\E>"
  lines                = 24
  fast_term            = n
  color                = n
  term_name            = ""
  wrap                 = 0
  ifile                = ""
  iprog                = ""

  gotoxy               = "\E[%i%p1%d;%p2%dH"
  clrscr               = "\E[H\E[J"
  clrtoeol             = "\E[K"
  beep                 = "^G"

  rectangle_start      = "^N"
  rectangle_end        = "^O"
  rectangle_filter     = "\d201l\d203w\d187k\d204t\d206n\d185u\d200m\d202v\
                          \d188j\d186x\d205q"
  special_start        = "^N"
  special_end          = "^O"
  special_filter       = "\d175`\d176a\d218l\d194w\d191k\d195t\d197n\d180u\
                          \d192m\d193v\d217j\d214l\d210w\d183k\d199t\d215n\
                          \d182u\d211m\d208v\d189j\d213l\d209w\d184k\d198t\
                          \d216n\d181u\d212m\d207v\d190j\d196q\d179x\d177a\
                          \d178a\d219a\d220a\d221a\d222a\d223a"

  national_start       = ""
  national_end         = ""
  national_filter      = "\d143\d161\d149\d198\d144\d202\d156\d163\d165\d209\
                          \d163\d211\d152\d166\d160\d172\d161\d175\d134\d177\
                          \d141\d230\d145\d234\d146\d179\d164\d241\d162\d243\
                          \d158\d182\d166\d188\d167\d191"
  national_init        = ""
  national_freq        = 0
  national_bold        = 0
  compose_filter       = "a\d134c\d141e\d145l\d146n\d164o\d162s\d158x\d166z\
                          \d167A\d143C\d149E\d144L\d156N\d165O\d163S\d152X\
                          \d160Z\d161"
  input_filter         = "\d161\d143\d198\d149\d202\d144\d163\d156\d209\d165\
                          \d211\d163\d166\d152\d172\d160\d175\d161\d177\d134\
                          \d230\d141\d234\d145\d179\d146\d241\d164\d243\d162\
                          \d182\d158\d188\d166\d191\d167"

  att_normal           = "\E[m"
  att_high             = "\E[1m"
  att_high_under       = "\E[1;4m"
  att_high_inverse     = "\E[1;7m"
  att_under            = "\E[4m"
  att_blink            = "\E[5m"
  att_inverse          = "\E[7m"
  att_high_blink       = "\E[1;5m"
  att_blink_inverse    = "\E[5;7m"

  strange_inverse_lt   = ">"
  strange_inverse_rg   = "<"

  insert_line          = "\E[L\E[K"
  delete_line          = "\E[M"




#-------------------------------------------------------------------
# Keyboard definition part.                                         
#-------------------------------------------------------------------
#                                                                   
# key  =  keystroke         basic     on main   in view   key       
#         sequence          meaning   screen    & edit    name      
#                                                                   

  key  =  "^A"                         1062/1    1078/2    /[Ctrl-A]
  key  =  "^B"                                   1070/2    /[Ctrl-B]
  key  =  "^C"               1008/0                        /[Ctrl-C]
  key  =  "^E"                         1065/1    1071/2    /[Ctrl-E]
  key  =  "^F"                         1060/1    1079/2    /[Ctrl-F]
  key  =  "^G"                         1061/1              /[Ctrl-G]
  key  =  "^H"               8/0                           /[Backspace]
  key  =  "\t"               9/0                           /[Tab]
  key  =  "\n"                         1066/1              /[Ctrl-J]
  key  =  "^K"                                   1082/2    /[Ctrl-K]
  key  =  "^L"                                   1084/2    /[Ctrl-L]
  key  =  "^N"               1150/0                        /[Ctrl-N] 
  key  =  "^P"                                   1080/2    /[Ctrl-P]
  key  =  "^R"                         1050/1              /[Ctrl-R]
  key  =  "^T"               1005/0              1076/2    /[Ctrl-T]
  key  =  "^U"                         1051/1              /[Ctrl-U]
  key  =  "^V"                         1052/1    1081/2    /[Ctrl-V]
  key  =  "^W"                                   1083/2    /[Ctrl-W]
  key  =  "^X"                         1064/1    1085/2    /[Ctrl-X]
  key  =  "^Y"               1006/0              1077/2    /[Ctrl-Y]
  key  =  "^Z"                         1063/1    1086/2    /[Ctrl-Z]
  key  =  "\E\E"             1000/0                        /[Esc][Esc]
  key  =  "\EOA"             1001/0                        /[Up]
  key  =  "\EOB"             1002/0                        /[Down]
  key  =  "\EOC"             1003/0                        /[Right]
  key  =  "\EOD"             1004/0                        /[Left]
  key  =  "\EOM"             1007/0                        /[Compose]
  key  =  "\EOP"             1011/0                        /[F1]
  key  =  "\EOQ"             1012/0                        /[F2]
  key  =  "\EOR"             1013/0                        /[F3]
  key  =  "\EOS"             1014/0                        /[F4]
  key  =  "\EOl"                       1040/1              /[Esc][O][l]
  key  =  "\EOm"                       1041/1              /[Esc][O][m]
  key  =  "\EOp"             1034/0                        /[Insert]
  key  =  "\EOq"             1031/0                        /[End]
  key  =  "\EOs"             1033/0                        /[PgDn]
  key  =  "\EOw"             1030/0                        /[Home]
  key  =  "\EOy"             1032/0                        /[PgUp]
  key  =  "\E[16~"           1015/0                        /[F5]
  key  =  "\E[17~"           1016/0                        /[F6]
  key  =  "\E[18~"           1017/0                        /[F7]
  key  =  "\E[19~"           1018/0                        /[F8]
  key  =  "\E[20~"           1019/0                        /[F9]
  key  =  "\E[21~"           1010/0                        /[F10]
  key  =  "\E[22~"           1021/0                        /[Shift-F1]
  key  =  "\E[23~"           1022/0                        /[Shift-F2]
  key  =  "\E[24~"           1023/0                        /[Shift-F3]
  key  =  "\E[25~"           1024/0                        /[Shift-F4]
  key  =  "\E[26~"           1025/0                        /[S5]
  key  =  "\E[27~"           1026/0                        /[S6]
  key  =  "\E[28~"           1027/0    1042/1              /[Esc][[][2][8][~]
  key  =  "\E[29~"           1028/0                        /[S8]
  key  =  "\E[30~"           1029/0                        /[S9]
  key  =  "\E[31~"           1020/0                        /[S0]
  key  =  "\E[33~"           1007/0                        /[Compose]
  key  =  "\E[A"             1001/0                        /[Up]
  key  =  "\E[B"             1002/0                        /[Down]
  key  =  "\E[C"             1003/0                        /[Right]
  key  =  "\E[D"             1004/0                        /[Left]
  key  =  "\d028"                      1067/1              /[Ctrl-\]
  key  =  "\d029"                      1057/1              /[Ctrl-]]
  key  =  "\d127"            127/0                         /[Delete]


