
# VT220 emulated on Wyse 120 (mode vt220-7, application cursor keys) 
# TERM should be vt220-8
# 
# 
# 
# 
# 
# 
# 
# 
# 
# 
# 
# 
# 

#####################################################################
#                                                                   #
#       >>>>>   Terminal description file for Allegro.   <<<<<      #
#                                                                   #
#####################################################################


#-------------------------------------------------------------------
# Terminal characteristics variables part.                          
#-------------------------------------------------------------------
#                                                                   
# Variable name          Variable value                             
#                                                                   

  init                 = "\E[?7l\E=^O\E(B\E)0"
  end                  = "\E[?7h\E>"
  lines                = 24
  fast_term            = n
  color                = n
  term_name            = "vt220"
  wrap                 = 0
  ifile                = ""
  iprog                = ""

  gotoxy               = "\E[%i%p1%d;%p2%dH"
  clrscr               = "\E[H\E[J"
  clrtoeol             = "\E[K"
  beep                 = "^G"

  rectangle_start      = "^N"
  rectangle_end        = "^O"
  rectangle_filter     = "\d201l\d203w\d187k\d204t\d206n\d185u\d200m\d202v\
                          \d188j\d186x\d205q"
  special_start        = "^N"
  special_end          = "^O"
  special_filter       = "\d175`\d176a"

  national_start       = "\EN"
  national_end         = ""
  national_filter      = "\d134*\d141+\d145,\d146-\d164.\d162/\d1580\d1661\
                          \d1672\d143!\d149\"\d144#\d156$\d165%\d163&\d152'\
                          \d160(\d161)"
  national_init        = "\EP0;1;1;0{#A_OGCGO_??/~AAAAA~??/@???CA@??;oGCEDGO??\
                          /\^_???_O??/??@@@????;{CCCCCC??/~AAA?????/@@@@@B@??;\
                          {_O??????/~@???????/@@@@@@@??;{W_A@?{??/~?@AKo~??/@?\
                          ????@??;oGCEDGo??/\^_???_\^??/??@@@????;wCCEDCG??/`A\
                          AAAA{??/?@@@@@???;CCCEDc[??/oGCA@????/@@@@@@@??;CCCD\
                          Cc[??/oGCA@????/@@@@@@@??;?_____???/wCCCCC~??/?@@@@B\
                          @??;?__og_???/~?????`??/?@@@@@???;?_____???/~CCCCCF?\
                          ?/?@@@@B@??;CC{?_????/GC~@?????/@@@@@????;___og_???/\
                          ~?????~??/@?????@??;?__og_???/~?????~??/?@@@@@???;?_\
                          _og_???/bCCCGGp??/?@@@@@???;___og__??/_OGCA@???/@@@@\
                          @@@??;___g___??/_OGCA@???/@@@@@@@??\E\\\E*#A"
  national_freq        = 1
  national_bold        = 0
  compose_filter       = "a\d134c\d141e\d145l\d146n\d164o\d162s\d158x\d166z\
                          \d167A\d143C\d149E\d144L\d156N\d165O\d163S\d152X\
                          \d160Z\d161"
  input_filter         = ""

  att_normal           = "\E[m"
  att_high             = "\E[1m"
  att_high_under       = "\E[1;4m"
  att_high_inverse     = "\E[1;7m"
  att_under            = "\E[4m"
  att_blink            = "\E[5m"
  att_inverse          = "\E[7m"
  att_high_blink       = "\E[1;5m"
  att_blink_inverse    = "\E[5;7m"

  strange_inverse_lt   = ">"
  strange_inverse_rg   = "<"

  insert_line          = "\E[L"
  delete_line          = "\E[M"




#-------------------------------------------------------------------
# Keyboard definition part.                                         
#-------------------------------------------------------------------
#                                                                   
# key  =  keystroke         basic     on main   in view   key       
#         sequence          meaning   screen    & edit    name      
#                                                                   

  key  =  "^A"                         1062/1    1078/2    /[Ctrl-A]
  key  =  "^B"                                   1070/2    /[Ctrl-B]
  key  =  "^C"               1008/0                        /[Ctrl-C]
  key  =  "^E"                         1065/1    1071/2    /[Ctrl-E]
  key  =  "^F"                         1060/1    1079/2    /[Ctrl-F]
  key  =  "^G"                         1061/1              /[Ctrl-G]
  key  =  "^H"               8/0                           /[Backspace]
  key  =  "\t"               9/0                           /[Tab]
  key  =  "\n"                         1066/1              /[Ctrl-J]
  key  =  "^K"                         1053/1    1082/2    /[Ctrl-K]
  key  =  "^L"                         1054/1    1084/2    /[Ctrl-L]
  key  =  "^N"                         1058/1    1075/2    /[Ctrl-N]
  key  =  "^O"                         1055/1              /[Ctrl-O]
  key  =  "^P"                         1056/1    1080/2    /[Ctrl-P]
  key  =  "^R"                         1050/1              /[Ctrl-R]
  key  =  "^T"               1005/0              1076/2    /[Ctrl-T]
  key  =  "^U"                         1051/1    1074/2    /[Ctrl-U]
  key  =  "^V"                         1052/1    1081/2    /[Ctrl-V]
  key  =  "^W"                                   1083/2    /[Ctrl-W]
  key  =  "^X"                         1064/1    1085/2    /[Ctrl-X]
  key  =  "^Y"               1006/0              1077/2    /[Ctrl-Y]
  key  =  "^Z"                         1063/1    1086/2    /[Ctrl-Z]
  key  =  "\E\E"             1000/0                        /[Esc][Esc]
  key  =  "\EOA"             1001/0                        /[Up]
  key  =  "\EOB"             1002/0                        /[Down]
  key  =  "\EOC"             1003/0                        /[Right]
  key  =  "\EOD"             1004/0                        /[Left]
  key  =  "\E[A"             1001/0                        /[Up]
  key  =  "\E[B"             1002/0                        /[Down]
  key  =  "\E[C"             1003/0                        /[Right]
  key  =  "\E[D"             1004/0                        /[Left]
  key  =  "\EOH"             1030/0                        /[Home]
  key  =  "\EOP"             1011/0                        /[F1]
  key  =  "\EOQ"             1012/0                        /[F2]
  key  =  "\EOR"             1013/0                        /[F3]
  key  =  "\EOS"             1014/0                        /[F4]
  key  =  "\E[17~"           1016/0                        /[F6]
  key  =  "\E[18~"           1017/0                        /[F7]
  key  =  "\E[19~"           1018/0                        /[F8]
  key  =  "\E[1~"            1031/0                        /[End]
  key  =  "\E[20~"           1019/0                        /[F9]
  key  =  "\E[21~"           1010/0                        /[F10]
  key  =  "\E[24~"           1007/0                        /[Compose]
  key  =  "\E[2~"            1034/0                        /[Ins]
  key  =  "\E[5~"            1032/0                        /[PgUp]
  key  =  "\E[64~"           1021/0                        /[Ctrl-F1]
  key  =  "\E[65~"           1022/0                        /[Ctrl-F2]
  key  =  "\E[66~"           1023/0                        /[Ctrl-F3]
  key  =  "\E[67~"           1024/0                        /[Ctrl-F4]
  key  =  "\E[68~"           1025/0                        /[Ctrl-F5]
  key  =  "\E[69~"           1026/0                        /[Ctrl-F6]
  key  =  "\E[6~"            1033/0                        /[PgDn]
  key  =  "\E[70~"           1042/0                        /[Ctrl-F7]
  key  =  "\E[71~"           1028/0                        /[Ctrl-F8]
  key  =  "\E[72~"           1029/0                        /[Ctrl-F9]
  key  =  "\E[73~"           1020/0                        /[Ctrl-F10]
  key  =  "\E[M"             1015/0                        /[F5]
  key  =  "\d028"                      1067/1              /[Ctrl-\]
  key  =  "\d029"                      1057/1              /[Ctrl-]]
  key  =  "\d030"            1007/0                        /[Ctrl-^]
  key  =  "\d127"            127/0                         /[Delete]


