
# ADI DT220 - cheap VT220 clone; download Polish letters
# 

#####################################################################
#                                                                   #
#       >>>>>   Terminal description file for Allegro.   <<<<<      #
#                                                                   #
#####################################################################


#-------------------------------------------------------------------
# Terminal characteristics variables part.                          
#-------------------------------------------------------------------
#                                                                   
# Variable name          Variable value                             
#                                                                   

  init                 = "\E[62;2\"p\E[?7l\E=^O\E(B\E)0"
  end                  = "\E[61\"p\E[?7h\E>"
  lines                = 24
  fast_term            = n
  color                = n
  term_name            = "vt220"
  wrap                 = 0
  ifile                = ""
  iprog                = ""

  gotoxy               = "\E[%i%p1%d;%p2%dH"
  clrscr               = "\E[H\E[J"
  clrtoeol             = "\E[K"
  beep                 = "^G"

  rectangle_start      = "^N"
  rectangle_end        = "^O"
  rectangle_filter     = "\d201l\d203w\d187k\d204t\d206n\d185u\d200m\d202v\
                          \d188j\d186x\d205q"
  special_start        = "^N"
  special_end          = "^O"
  special_filter       = "\d175`\d176a"

  national_start       = "\EN"
  national_end         = ""
  national_filter      = "\d134*\d141+\d145,\d146-\d164.\d162/\d1580\d1661\
                          \d1672\d143!\d149"\d144#\d156$\d165%\d163&\d152'\
                          \d160(\d161)"
  national_init        = "\EP1;1;1{#%Aogcacgo/B????EB;wCAAEBC/?@AAAA@;}QQQAAA/\
                          BAAEIAA;}_OG???/BAAAAAA;}CGQ`?}/B????@B;{AAEAB{/@AAA\
                          AA@;KQQUQRc/@AAAAA@;AAeQJEA/ABAAAAA;AQqQYUA/ABAAAAA;\
                          ?gggggo/@AAAEIB;oGGGKIO/@AAAAAA;ogggggo/@AAEIA?;?_a}\
                          GG?/??ABA??;wWGKIGo/B?????B;oGGKIGo/@AAAAA@;Oggkig?/\
                          AAAAAA@;GGgkYG?/ABAAAA?;GGgiWG?/ABAAAA?\E\\\E*#%A"
  national_freq        = 1
  national_bold        = 0
  compose_filter       = "a\d134c\d141e\d145l\d146n\d164o\d162s\d158x\d166z\
                          \d167A\d143C\d149E\d144L\d156N\d165O\d163S\d152X\
                          \d160Z\d161"
  input_filter         = ""

  att_normal           = "\E[m"
  att_high             = "\E[1m"
  att_high_under       = "\E[1;4m"
  att_high_inverse     = "\E[1;7m"
  att_under            = "\E[4m"
  att_blink            = "\E[5m"
  att_inverse          = "\E[7m"
  att_high_blink       = "\E[1;5m"
  att_blink_inverse    = "\E[5;7m"

  strange_inverse_lt   = ">"
  strange_inverse_rg   = "<"

  insert_line          = "\E[L"
  delete_line          = "\E[M"




#-------------------------------------------------------------------
# Keyboard definition part.                                         
#-------------------------------------------------------------------
#                                                                   
# key  =  keystroke         basic     on main   in view   key       
#         sequence          meaning   screen    & edit    name      
#                                                                   

  key  =  "\d143P"           1021/0                        /[Shift-F1]
  key  =  "\d143Q"           1022/0                        /[Shift-F2]
  key  =  "\d143R"           1023/0                        /[Shift-F3]
  key  =  "\d143S"           1024/0                        /[Shift-F4]
  key  =  "\d143l"                     1040/1    1073/2    /[\d143][l]
  key  =  "\d143m"                     1041/1    1072/2    /[\d143][m]
  key  =  "\d143n"                     1042/1              /[\d143][n]
  key  =  "\d143p"           1010/0                        /[F10]
  key  =  "\d143q"           1011/0                        /[F1]
  key  =  "\d143r"           1012/0                        /[F2]
  key  =  "\d143s"           1013/0                        /[F3]
  key  =  "\d143t"           1014/0                        /[F4]
  key  =  "\d143u"           1015/0                        /[F5]
  key  =  "\d143v"           1016/0                        /[F6]
  key  =  "\d143w"           1017/0                        /[F7]
  key  =  "\d143x"           1018/0                        /[F8]
  key  =  "\d143y"           1019/0                        /[F9]
  key  =  "\d1551~"          1034/0                        /[Insert]
  key  =  "\d15523~"         1000/0                        /[Esc][Esc]
  key  =  "\d15526~"         1007/0                        /[Compose]
  key  =  "\d15528~"                             1074/2    /[\d155][2][8][~]
  key  =  "\d15529~"                             1075/2    /[\d155][2][9][~]
  key  =  "\d1552~"          1030/0                        /[Home]
  key  =  "\d1553~"          1032/0                        /[PgUp]
  key  =  "\d1554~"          127/0                         /[\d155][4][~]
  key  =  "\d1555~"          1031/0                        /[End]
  key  =  "\d1556~"          1033/0                        /[PgDn]
  key  =  "\d155A"           1001/0                        /[Up]
  key  =  "\d155B"           1002/0                        /[Down]
  key  =  "\d155C"           1003/0                        /[Right]
  key  =  "\d155D"           1004/0                        /[Left]
  key  =  "^A"                         1062/1    1078/2    /[Ctrl-A]
  key  =  "^B"                                   1070/2    /[Ctrl-B]
  key  =  "^C"               1008/0                        /[Ctrl-C]
  key  =  "^E"                         1065/1    1071/2    /[Ctrl-E]
  key  =  "^F"                         1060/1    1079/2    /[Ctrl-F]
  key  =  "^G"                         1061/1              /[Ctrl-G]
  key  =  "\t"               9/0                           /[Tab]
  key  =  "\n"                         1066/1              /[Ctrl-J]
  key  =  "^K"                                   1082/2    /[Ctrl-K]
  key  =  "^L"                                   1084/2    /[Ctrl-L]
  key  =  "^P"                                   1080/2    /[Ctrl-P]
  key  =  "^R"                         1050/1              /[Ctrl-R]
  key  =  "^T"               1005/0              1076/2    /[Ctrl-T]
  key  =  "^U"                         1051/1              /[Ctrl-U]
  key  =  "^V"                         1052/1    1081/2    /[Ctrl-V]
  key  =  "^W"                                   1083/2    /[Ctrl-W]
  key  =  "^X"                         1064/1    1085/2    /[Ctrl-X]
  key  =  "^Y"               1006/0              1077/2    /[Ctrl-Y]
  key  =  "^Z"                         1063/1    1086/2    /[Ctrl-Z]
  key  =  "\d028"                      1067/1              /[Ctrl-\]
  key  =  "\d029"                      1057/1              /[Ctrl-]]
  key  =  "\d127"            8/0                           /[Backspace]


